cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
CaseWorthy
Level 2

InstallShield 2018 Lite Installation failing.

I have Microsoft Visual Studio Professional 2019 Version 16.11.10 installed.

I want to install InstallShield 2018 Lite. But get this error:

 

"InstallShield 2018 Lite requires Microsoft Visual Studio 2017 Professional Edition or greater to be installed on the machine. The install will now abort."

Labels (1)
0 Kudos
3 Replies
smadani
Revenera
Revenera

Hi Martin,

Thank you for writing to us.

I have created a case and responded to your concern.

Thanks,
Syed

0 Kudos
DennisSSebasiSt
Level 2

I am using visual studio 2017 Pro along with InstallShield Lite. I have set a prerequisite to install c++ 2017 distributables(x86). The problem is, that install shield, specifies a command of /q/noreboot. Notice that there is no space between /q and /noreboot. The consequence of this is that your installation program will give an error on the installation of the redistributable under all circumstance. For example, if the redistributable is not installed, it will actually install it but then give an error that the install failed. In fact it has installed it. If it is installed already or there is a higher version it will not install it but also give the same message that it has failed. This is confusing for the end user of the application since he always has to specify to continue anyways. On the other hand, if you have the space /q /noreboot it always works perfectly fine and doesn't give an error (at least with testing at a command line outside of InstallShield. So the question is how can one modify the command line for the prerequisite in Visual Studio Lite? Thanks

0 Kudos

Hi @DennisSSebasiSt,

Thank you for your post.

InstallShield Lite has been discontinued so InstallShield Lite has reached its end-of-life and InstallShield Lite is no longer supported, see the post about it at this link:

https://community.flexera.com/t5/InstallShield-News/Product-Announcement-InstallShield-Lite-Discontinued/ba-p/173118

Please contact us via the Contact Us Form at the following link to upgrade to InstallShield 2021, which is the latest supported InstallShield version:

https://www.revenera.com/about-us/contact-us

Please let us know if you have any questions or concerns. Thanks!

0 Kudos